Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

AI agents

Agents with their playbooks, memories, threads and approvals.

List agent playbooks (SOP / skill modules)

GET/agents/playbooks
Scope agents:viewRead-only

Query parameters

NameType
agentstring
qstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/playbooks" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create an agent playbook

POST/agents/playbooks
Scope agents:manageWrites data

Request body

FieldType
namerequiredstring
contentrequiredstring
descriptionstring
alwaysOnboolean
allAgentsboolean
agentsarray of string
tagsarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/playbooks" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","content":"…","description":"…","alwaysOn":false,"allAgents":false,"agents":["…"],"tags":["…"]}'

Update an agent playbook (content, assignment, always-on)

PATCH/agents/playbooks/{pid}
Scope agents:manageWrites data

Path parameters

NameType
pidrequiredstring

Request body

FieldType
namestring
contentstring
descriptionstring
alwaysOnboolean
allAgentsboolean
agentsarray of string
tagsarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/agents/playbooks/{pid}" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","content":"…","description":"…","alwaysOn":false,"allAgents":false,"agents":["…"],"tags":["…"]}'

Delete an agent playbook

DELETE/agents/playbooks/{pid}
Scope agents:manageWrites data

Path parameters

NameType
pidrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/agents/playbooks/{pid}" \  -H "Authorization: Bearer $KLERC_TOKEN"

List an agent’s long-term memories

GET/agents/{id}/memories
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
scope"agent" | "task" | "contact"
taskstring
contactKeystring
qstring
kindstring
pagenumber
limitnumber

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/memories?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Add a memory (fact / preference / instruction) to an agent

POST/agents/{id}/memories
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
textrequiredstring
scope"agent" | "task" | "contact"
kind"fact" | "preference" | "episode" | "instruction"
contactKeystring
taskstring
importancenumber
expiresAtstring
tagsarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/memories" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"text":"…","scope":"agent","kind":"fact","contactKey":"…","task":"…","importance":0,"expiresAt":"…","tags":["…"]}'

Delete one of an agent’s memories

DELETE/agents/{id}/memories/{memoryId}
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring
memoryIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/agents/{id}/memories/{memoryId}" \  -H "Authorization: Bearer $KLERC_TOKEN"

List AI agents

GET/agents
Scope agents:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create an AI agent

POST/agents
Scope agents:manageWrites data

Request body

FieldType
namerequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…"}'

Agent usage/cost across the org

GET/agents/usage
Scope agents:viewRead-only

Query parameters

NameType
fromstring
tostring
groupBystring
agentIdstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/usage" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update org-level agent settings (budgets, default model)

PATCH/agents/settings
Scope agents:manageWrites data

Request body

FieldType
monthlyUsdnumber
perTaskUsdnumber
defaultModelstring
allowAutonomousboolean
autoAssignIncludeAgentsboolean

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/agents/settings" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"monthlyUsd":0,"perTaskUsd":0,"defaultModel":"…","allowAutonomous":false,"autoAssignIncludeAgents":false}'

List agent approval requests across the org

GET/agents/actions
Scope agents:viewRead-only

Query parameters

NameType
statusstring
agentstring
kindstring
riskstring
pagenumber
limitnumber

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/actions?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Catalog of gate-able actions (for policy rules)

GET/agents/actions/catalog
Scope agents:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/actions/catalog" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get an approval request

GET/agents/actions/{actionId}
Scope agents:viewRead-only

Path parameters

NameType
actionIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/actions/{actionId}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Full task context behind an approval request

GET/agents/actions/{actionId}/context
Scope agents:viewRead-only

Path parameters

NameType
actionIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/actions/{actionId}/context" \  -H "Authorization: Bearer $KLERC_TOKEN"

Approve an agent action

POST/agents/actions/{actionId}/approve
Scope agents:manageWrites data

Path parameters

NameType
actionIdrequiredstring

Request body

FieldType
argsobject
notestring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/actions/{actionId}/approve" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"args":{},"note":"…"}'

Edit and approve an agent action

POST/agents/actions/{actionId}/edit
Scope agents:manageWrites data

Path parameters

NameType
actionIdrequiredstring

Request body

FieldType
argsobject
textstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/actions/{actionId}/edit" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"args":{},"text":"…"}'

Reject an agent action

POST/agents/actions/{actionId}/reject
Scope agents:manageWrites data

Path parameters

NameType
actionIdrequiredstring

Request body

FieldType
notestring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/actions/{actionId}/reject" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"note":"…"}'

Approve and always allow this kind of action for the agent

POST/agents/actions/{actionId}/always-allow
Scope agents:manageWrites data

Path parameters

NameType
actionIdrequiredstring

Request body

FieldType
scopestring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/actions/{actionId}/always-allow" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"scope":"…"}'

List agent task threads across the org

GET/agents/tasks
Scope agents:viewRead-only

Query parameters

NameType
agentstring
statusstring
kindstring
qstring
pagenumber
limitnumber

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/tasks?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get an AI agent

GET/agents/{id}
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update an AI agent

PATCH/agents/{id}
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/agents/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete an AI agent

DELETE/agents/{id}
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/agents/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

List an agent’s approval queue

GET/agents/{id}/actions
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/actions" \  -H "Authorization: Bearer $KLERC_TOKEN"

Full conversation behind an approval request

GET/agents/{id}/actions/{actionId}/context
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring
actionIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/actions/{actionId}/context" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get an agent’s API key metadata

GET/agents/{id}/api-key
Scope agents:manageRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/api-key" \  -H "Authorization: Bearer $KLERC_TOKEN"

Rotate an agent’s API key

POST/agents/{id}/api-key/rotate
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/api-key/rotate" \  -H "Authorization: Bearer $KLERC_TOKEN"

List an agent’s task threads

GET/agents/{id}/tasks
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
statusstring
kindstring
pagenumber
limitnumber

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/tasks?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Start a task thread for an agent

POST/agents/{id}/tasks
Scope agents:viewWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
goalrequiredstring
titlestring
kind"task" | "conversation" | "standing"
participantsarray of string
budgetobject
budget.perTaskUsdnumber
scheduleobject
schedule.everyrequirednumber
schedule.unitrequiredstring
schedule.atstring
schedule.enabledboolean

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/tasks" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"goal":"…","title":"…","kind":"task","participants":["…"],"budget":{"perTaskUsd":0},"schedule":{"every":0,"unit":"…","at":"…","enabled":false}}'

Get a task thread (with recent events)

GET/agents/{id}/tasks/{taskId}
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring
taskIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/tasks/{taskId}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Pause / resume / cancel / edit a task thread

PATCH/agents/{id}/tasks/{taskId}
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring
taskIdrequiredstring

Request body

FieldType
action"pause" | "resume" | "cancel"
titlestring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/agents/{id}/tasks/{taskId}" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"action":"pause","title":"…"}'

Page through a task thread’s events

GET/agents/{id}/tasks/{taskId}/events
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring
taskIdrequiredstring

Query parameters

NameType
beforenumber
limitnumber

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/tasks/{taskId}/events?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Message an agent on a task thread

POST/agents/{id}/tasks/{taskId}/messages
Scope agents:viewWrites data

Path parameters

NameType
idrequiredstring
taskIdrequiredstring

Request body

FieldType
textstring
attachmentsarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/tasks/{taskId}/messages" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"text":"…","attachments":["…"]}'

Run a task thread again now

POST/agents/{id}/tasks/{taskId}/rerun
Scope agents:viewWrites data

Path parameters

NameType
idrequiredstring
taskIdrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/tasks/{taskId}/rerun" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get this user's setup conversation with an agent

GET/agents/{id}/setup
Scope agents:manageRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/setup" \  -H "Authorization: Bearer $KLERC_TOKEN"

Talk to an agent while configuring it

POST/agents/{id}/setup
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
textstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/setup" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"text":"…"}'

Save the setup the agent proposed

POST/agents/{id}/setup/apply
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
activateboolean

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/setup/apply" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"activate":false}'

Wake an agent with an event or message

POST/agents/{id}/wake
Scope agents:viewWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
sourcerequiredobject
source.kindstring
source.summarystring
source.textstring
source.payloadany
source.taskIdstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/wake" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"source":{"kind":"…","summary":"…","text":"…","payload":{},"taskId":"…"}}'

List an agent’s triage decisions

GET/agents/{id}/triage
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
decisionstring
kindstring
pagenumber

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/triage" \  -H "Authorization: Bearer $KLERC_TOKEN"

An agent’s usage/cost summary

GET/agents/{id}/usage
Scope agents:viewRead-only

Path parameters

NameType
idrequiredstring

Query parameters

NameType
fromstring
tostring
groupBystring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/usage" \  -H "Authorization: Bearer $KLERC_TOKEN"

Get an agent’s inbound webhook settings

GET/agents/{id}/webhook
Scope agents:manageRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/agents/{id}/webhook" \  -H "Authorization: Bearer $KLERC_TOKEN"

Enable/disable an agent’s inbound webhook

PATCH/agents/{id}/webhook
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
enabledboolean
allowDirectboolean

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/agents/{id}/webhook" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"enabled":false,"allowDirect":false}'

Rotate an agent’s inbound webhook secret

POST/agents/{id}/webhook/rotate
Scope agents:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/webhook/rotate" \  -H "Authorization: Bearer $KLERC_TOKEN"

Test an MCP server connection and list its tools

POST/agents/{id}/mcp/test
Scope agents:manageRead-only

Path parameters

NameType
idrequiredstring

Request body

FieldType
urlstring
transportstring
serverIdstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/agents/{id}/mcp/test" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"url":"…","transport":"…","serverId":"…"}'